Bug 164977 - USB Printer Not Found After Reboot
USB Printer Not Found After Reboot
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: usbutils (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-03 05:51 EDT by Frank Chen
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-24 13:11:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Chen 2005-08-03 05:51:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
After a USB printer is installed, reboot the PC. The printer doesn't work after reboot.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Connect a USB printer to the PC. We used HP LaserJet 1010.
2.Install the printer using CUPS web interface. Verify printer works.
3.Shut down PC. Turn off both PC and printer.
4.Turn on printer and PC. Reboot PC.
  

Actual Results:  After bootup, ls /dev/usb shows nothing. Printer does not work. 

If the power to the printer and PC is not turned off, the printer works sometimes.

Expected Results:  The USB device should be found and printer should work consistently.

Additional info:
Comment 1 Frank Chen 2005-08-04 04:09:23 EDT
The problem was fixed by commenting line 329 of usb.rc and uncomment line 330.
Comment 2 Frank Chen 2005-08-04 04:31:43 EDT
Sorry. It seems that I spoke too soon. The above change works for some machines
but not others. 
Comment 3 Christian Iseli 2007-01-22 05:29:20 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 4 Frank Chen 2007-01-24 13:11:37 EST
Unable to verify in more recent releases

Note You need to log in before you can comment on or make changes to this bug.